VkBufferMemoryBarrier Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkAccessFlags | srcAccessMask
VkAccessFlags | dstAccessMask
uint32_t | srcQueueFamilyIndex
uint32_t | dstQueueFamilyIndex
VkBuffer | buffer
VkDeviceSize | offset
VkDeviceSize | size

## Detailed Description

Definition at line 2783 of file vulkan_core.h.

## Field Documentation

## buffer

VkBuffer VkBufferMemoryBarrier::buffer

Definition at line 2790 of file vulkan_core.h.

## dstAccessMask

VkAccessFlags VkBufferMemoryBarrier::dstAccessMask

Definition at line 2787 of file vulkan_core.h.

## dstQueueFamilyIndex

uint32_t VkBufferMemoryBarrier::dstQueueFamilyIndex

Definition at line 2789 of file vulkan_core.h.

## offset

VkDeviceSize VkBufferMemoryBarrier::offset

Definition at line 2791 of file vulkan_core.h.

## pNext

const void* VkBufferMemoryBarrier::pNext

Definition at line 2785 of file vulkan_core.h.

## size

VkDeviceSize VkBufferMemoryBarrier::size

Definition at line 2792 of file vulkan_core.h.

## srcAccessMask

VkAccessFlags VkBufferMemoryBarrier::srcAccessMask

Definition at line 2786 of file vulkan_core.h.

## srcQueueFamilyIndex

uint32_t VkBufferMemoryBarrier::srcQueueFamilyIndex

Definition at line 2788 of file vulkan_core.h.

## sType

VkStructureType VkBufferMemoryBarrier::sType

Definition at line 2784 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h